/**
 * ----------------------------------------------------------------
 * Copyright (C) 2012 dx0ne
 * ----------------------------------------------------------------
 *
 * File:		ScaleParticle.as
 * Info:		
 * Package		 
 *
 * @author		dx0ne <dx0ne@laislacorporation.com>
 */
package  
{
	import starling.display.DisplayObjectContainer
	import starling.display.Image;

	public class RoadParticle extends Particle
	{
		public function RoadParticle() 
		{
			img = new Image(AssetsGenerator.getTexture("roadbar.png", AssetsGenerator.defaultAtlas));
			img.pivotX = img.width >> 1;
			img.pivotY = 0;// -img.height;
			addChild(img);
		}
		
		override public function init():void
		{
			currentTime = 0;
			isAlive = true;
			diffX = 0;
			this.x = startX;
			this.y = startY;
			this.scaleX = this.scaleY = startScale;
			this.visible = true;
		}
	}
}